<script>
    const hapiServers = [
        'http://localhost:9000/hapi/',
        'https://vires.services/hapi/',
        'https://cdaweb.gsfc.nasa.gov/hapi/'
    ];

    let server = hapiServers[0];
    let info = undefined;
    let error = undefined;
    let catalog = undefined;
    let dataset = undefined;

    async function getCatalog() {
        await fetch(server + 'catalog')
        .then((response) => {
            if (response.ok) {
                return response.json();
            } else {
                console.log("Error fetching info");
            }
        }).then((data) => {
            console.log(data);
            catalog=data.catalog;
        }).catch((e) => {
            error = e;
        });
    }
    getCatalog();

    async function getInfo() {
        await fetch(server + 'info?id=' + dataset)
        .then((response) => {
            if (response.ok) {
                return response.json();
            } else {
                console.log("Error fetching info");
            }
        }).then((data) => {
            console.log(data);
            info=data;
        }).catch((e) => {
            error = e;
        });
    }

</script>



<select name="server" id="server" bind:value={server} on:change={()=>getCatalog()}>
{#each hapiServers as server}
    <option value={server}>{server}</option>
{/each}
</select>

{#if catalog}
<select name="dataset" id="dataset" bind:value={dataset} on:change={()=>getInfo()}>
    {catalog}
    {#each catalog as dataset}
        <option value={dataset.id}>{dataset.id}</option>
    {/each}
    </select>
{/if}

{#if info}
    <select name="parameter" id="parameter">
    {#each info.parameters as parameter}
        <option value={parameter.name}>{parameter.name}</option>
    {/each}
</select>
{/if}

{#if error}
    <p>{error}</p>
{/if}

<style>

</style>
